Skip to main content
https://.thoughtindustries.com

Avalara

Returns a paginated list of Avalara API cache logs

Returns a paginated list of Avalara API cache logs.

GEThttps://example.thoughtindustries.com/incoming/v2/logs/avalara

Example request

curl "https://example.thoughtindustries.com/incoming/v2/logs/avalara" \
  -H 'Authorization: Bearer YOUR_API_KEY'

Parameters

NameTypeRequiredLocationDescription
typestringYesqueryThe log type to filter results by.
cursorISO 8601 timestampNoqueryISO 8601 timestamp used as a cursor to fetch the next page of results.
perPageintegerNoqueryNumber of log entries to return per page.

Example response

{
  "data": {
    "APICacheLogs": {
      "data": [
        {}
      ],
      "pageInfo": {
        "perPage": 0,
        "cursor": "string",
        "total": 0,
        "hasMore": true
      }
    }
  }
}

Response fields

FieldTypeDescription
dataobject[]Array of Avalara API cache log entries.
pageInfoCursorPageInfoPagination metadata for the current result set.
pageInfo.perPageintegerNumber of log entries returned per page.
pageInfo.cursorstringCursor value to use in the next request to retrieve the following page of results.
pageInfo.totalintegerTotal number of log entries matching the request.
pageInfo.hasMorebooleanIndicates whether additional pages of results are available.